// ====================================================================
// Template toolbox_skeleton
// This file is released under the 3-clause BSD license. See COPYING-BSD.
// ====================================================================
//
//
function [messagePointInformation] = CreateMessagePoint(MessagePointName,...//имя точки обмена сообщениями
                                                        ServerNode,...//Узел (с сервером, к которому мы подключаемся (IP или имя узла в сети))
                                                        Port...//Порт (на котором работает сервер, к которому мы подключаемся)
                                                        )
    //Значения по умолчанию
    if argn(2) ~= 3 then
        error('This function takes 3 arguments');
        messagePointInformation = [];
        return;
    end
    
    //Создаем точку обмена сообщениями
    SOCKET_open(MessagePointName,ServerNode,Port);//Открываем соединение с сервером
    messagePointInformation = SOCKET_query(MessagePointName,MessagePointName)($:-1:1,:);//Регистрируем на сервере точку обмена сообщениями
endfunction
// ====================================================================
