// ====================================================================
// Template toolbox_skeleton
// This file is released under the 3-clause BSD license. See COPYING-BSD.
// ====================================================================
//
//
function [sendingMessageInformation] = SendMessage(MessagePointName,...//имя точки обмена сообщениями
                                                   AdresatMessagePointName,...//Имя точки обмена сообщениями адресата
                                                   SendingMessage...//Отправляемое сообщение
                                                   )
    //Значения по умолчанию
    if argn(2) ~= 3 then
        error('This function takes 3 arguments');
        sendingMessageInformation = [];
        return;
    end
    
    //Отправляем сообщение
    fullSendingMessage = AdresatMessagePointName + ':' + SendingMessage;
    sendingMessageInformation = SOCKET_query(MessagePointName,fullSendingMessage($:-1:1));//Регистрируем на сервере точку обмена сообщениями
endfunction
// ====================================================================
