// ====================================================================
// Template toolbox_skeleton
// This file is released under the 3-clause BSD license. See COPYING-BSD.
// ====================================================================
//
//
function [isRegistered,...
          sendingMessageInformation] = isRegisteredMessagePoint(MessagePointName,...//имя точки обмена сообщениями
                                                                AdresatMessagePointName...//Имя точки обмена сообщениями адресата
                                                                )
    //Значения по умолчанию
    if argn(2) ~= 2 then
        error('This function takes 2 arguments');
        sendingMessageInformation = [];
        return;
    end
    
    //Создаем точку обмена сообщениями
    sendingMessageInformation = SOCKET_query(MessagePointName,AdresatMessagePointName + ':isRegisteredMessagePoint');//Регистрируем на сервере точку обмена сообщениями
    isRegistered = sendingMessageInformation($,:) == '1';
    sendingMessageInformation = sendingMessageInformation(1:$-1,:);
endfunction
// ====================================================================
