// ====================================================================
// Template toolbox_skeleton
// This file is released under the 3-clause BSD license. See COPYING-BSD.
// ====================================================================
//
//
function [messagePointInformation] = DestroyMessagePoint(MessagePointName...//имя точки обмена сообщениями
                                                         )
    //Значения по умолчанию
    if argn(2) ~= 1 then
        error('This function takes 1 arguments');
        messagePointInformation = [];
        return;
    end
    
    //Создаем точку обмена сообщениями
    messagePointInformation = SOCKET_query(MessagePointName,MessagePointName + ':');//Удаляем с сервера точку обмена сообщениями
    SOCKET_close(MessagePointName);//Закрываем соединение с сервером
endfunction
// ====================================================================
